## org.apache.hadoop.contrib.utils.join
Interface ResetableIterator

All Superinterfaces:
  Iterator

All Known Implementing Classes:
  ArrayListBackedIterator

    public interface ResetableIterator

extends Iterator

This defines an iterator interface that will help the reducer class re-group its input by source tags. Once the values are re-grouped, the reducer will receive the cross product of values from different groups.

Method Summary
`void` `add(Object item)`
`void` `close()`
`void` `reset()`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### reset

    void reset()

### add

    void add(Object item)

### close

    void close()
               throws IOException

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation